import React, { Component } from "react";
import NavBar from "../components/NavBar";
import StatisticsComponent from "../components/StatisticsComponent";
import "../assets/stylesheets/app.scss";
import {
  Provider,
  KeepAlive,
} from 'react-keep-alive';

export default class StatisticsRoute extends Component {
  constructor(props) {
    super(props);
    document.title = "Statistics";
  }

  render() {
    return (
      <div className="container">
        <NavBar socket={this.props.socket} />
        <Provider>
          <KeepAlive name="Grafana">
            <StatisticsComponent socketHandler={this.props.socket} />
          </KeepAlive>
        </Provider>
      </div>
    );
  }
}
